%define upstream_name Net-FreeDB
%define upstream_version 0.08

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 2

Summary:	Perl interface to freedb server(s)
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(CDDB::File)
BuildRequires:	perl-devel

%description
Net::FreeDB is an oo-based module to interface with FreeDB servers.
It also includes some basic cdrom methods to generate a cddbid and
get the required disc information required for a FreeDB query call.
These cdrom-based methods are provided as both static and method
calls.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.80.0-2.mga4
+ Revision: 542353
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 0.80.0-1.mga4
+ Revision: 497433
- imported package perl-Net-FreeDB

